Subject: Re: [bitcoin-dev] Possible change to the MIT license

From: Aymeric Vitte <[email-masked]>
Date: Tue, 13 Feb 2018 16:45:17 +0100

No, the problem is not bitcoin being under any kind of attack by the
forks for me, but the forks fooling people because, again, reusing the
bitcoin core code is too easy

I don't know if there can be a legal solution to this which would keep
some open source aspect of the code, but at least it deserves to be studied

Le 13/02/2018 à 16:24, Jameson Lopp via bitcoin-dev a écrit :
> If I'm understanding the problem being stated correctly:
>
> "Bitcoin is under a branding attack by fork coins."
>
> The proposed solution is to disincentivize fork coins from using the
> word Bitcoin by altering the license terms. I'm not a lawyer, but it
> seems to me that the words of the license are basically useless unless
> there is an entity that intends to make use of court systems to
> threaten noncompliant projects into submission.
>
> In my opinion, the perceived attack on Bitcoin here is social /
> marketing-based, thus it makes sense that any defense against said
> attack should also be social / marketing-based. I don't think that
> Bitcoin should be reliant upon courts or governments to defend itself
> against attacks of any form.
>
> On Tue, Feb 13, 2018 at 9:25 AM, Natanael via bitcoin-dev
> <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>
>
>     Den 13 feb. 2018 15:07 skrev "JOSE FEMENIAS CAÑUELO via
>     bitcoin-dev" <[email-masked]
>     <mailto:[email-masked]>>:
>
>         ***
>         NO PART OF THIS SOFTWARE CAN BE INCLUDED IN ANY OTHER PROJECT
>         THAT USES THE NAME BITCOIN AS PART OF ITS NAME AND/OR ITS
>         MARKETING MATERIAL UNLESS THE SOFTWARE PRODUCED BY THAT
>         PROJECT IS FULLY COMPATIBLE WITH THE BITCOIN (CORE) BLOCKCHAIN
>         ***
>
>
>     That's better solved with trademarks. (whoever would be the
>     trademark holder - Satoshi?)  
>
>     This would also prohibit any reimplementation that's not formally
>     verified to be perfectly compatible from using the name. 
>
>     It also adds legal uncertainty. 
>
>     Another major problem is that it neither affects anybody forking
>     older versions of Bitcoin, not people using existing independent
>     blockchain implementations and renaming them Bitcoin-Whatsoever. 
>
>     And what happens when an old version is technically incompatible
>     with a future version by the Core team due to not understanding
>     various new softforks? Which version wins the right to the name? 
>
>     Also, being unable to even mention Bitcoin is overkill. 
>
>     The software license also don't affect the blockchain data. 
>
>
>     _______________________________________________
>     bitcoin-dev mailing list
>     [email-masked]
>     <mailto:[email-masked]>
>     https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>     <https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev>
>
>
>
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev

-- 
Bitcoin transactions made simple: https://github.com/Ayms/bitcoin-transactions
Zcash wallets made simple: https://github.com/Ayms/zcash-wallets
Bitcoin wallets made simple: https://github.com/Ayms/bitcoin-wallets
Get the torrent dynamic blocklist: http://peersm.com/getblocklist
Check the 10 M passwords list: http://peersm.com/findmyass
Anti-spies and private torrents, dynamic blocklist: http://torrent-live.org
Peersm : http://www.peersm.com
torrent-live: https://github.com/Ayms/torrent-live
node-Tor : https://www.github.com/Ayms/node-Tor
GitHub : https://www.github.com/Ayms